=== debian/changelog ===
xterm (312-2+deb8u4) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Fix CVE-2022-24130's patch.

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 07 Feb 2022 21:29:15 +0530

xterm (312-2+deb8u3) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Add patch to check for out-of-bounds condition while drawing
    sixels, and quit that operation (reported by Nick Black).
    (Fixes: CVE-2022-24130) (Closes: #1004689)

 -- Utkarsh Gupta <utkarsh@debian.org>  Sun, 06 Feb 2022 20:06:15 +0530

xterm (312-2+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Revert the extra changes in the CVE-2021-27135's patch
    since it caused unnecessary regression. (Closes: #984615)

 -- Utkarsh Gupta <utkarsh@debian.org>  Sun, 21 Mar 2021 14:34:12 +0530

xterm (312-2+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Add patch to correct upper-limit for selection
    buffer, accounting for combining characters.
    (Fixes: CVE-2021-27135) (Closes: #982439)

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 13 Feb 2021 21:58:08 +0530

xterm (312-2) unstable; urgency=medium

  * Cherry-pick a patch from xterm 314: change passedPty[] to an
    allocated string to ensure it is long enough for the -S option
    value (Closes: #779397).

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 01 Mar 2015 11:45:01 +0100

xterm (312-1) unstable; urgency=medium

  * New upstream release.
    - Undo change to do_select_regex() in xterm 311 (Closes: #762978).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 29 Sep 2014 17:16:25 +0200

xterm (311-1) unstable; urgency=low

  * New upstream release.
    - Mention xclip in manpage as an alternative workaround for copying
      clipboard data, noting that selectToClipboard is the recommended
      approach (Closes: #639094).
    - Correct initialization for regular-expression feature of
      exec-selectable and insert-selectable actions.
      Modify logic for exec-formatted and insert-formatted actions to
      ensure that the formatting occurs just after the selection is
      received (Closes: #758633).
    - Account for state of reverse-video in special case of cursor coloring
      (Closes: #759734).
    - Enable the "Escape Sequence" menu entry when an OSC 50 is received.
      Also disable it if the escape sequence specifies no font
      (Closes: #760208).
    - Improve fix for the fontsel menu entry from xterm 304: because the
      recovery used the "current font", it would fail if one first selected
      a valid font, then an invalid font (Closes: #760207).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 22 Sep 2014 17:55:43 +0200

xterm (310-1) unstable; urgency=low

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 30 Aug 2014 11:26:09 +0200

xterm (308-1) unstable; urgency=medium

  * New upstream release.
    - Correct font used for clipping double-width bitmap fonts from
      xterm 307 changes to work around mis-scaled fonts (Closes: #752047).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 21 Jun 2014 09:44:01 +0200

xterm (307-1) unstable; urgency=medium

  * New upstream release.
    - Amend fix for Freedesktop bug #15979 (Closes: #750733).
    - Amend resets for keyboard-type, pointer-mode and title-modes
      from xterm 305 changes to account for resource settings
      (Closes: #751351).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 18 Jun 2014 19:49:57 +0200

xterm (306-1) unstable; urgency=medium

  [ Julien Cristau ]
  * New upstream release.
  * Remove Cyril from Uploaders.

  [ Sven Joachim ]
  * New upstream release.
  * Update copy of XTerm FAQ to revision 1.282 (dated 2014/05/25).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 05 Jun 2014 17:50:00 +0200

xterm (304-1) unstable; urgency=low

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 07 May 2014 16:50:50 +0200

xterm (303-1) unstable; urgency=low

  * New upstream release.
    - Fix a regression in xterm 302 relating to interaction of SHELL
      and XTERM_SHELL variables (Closes: #740919).

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 07 Mar 2014 18:23:50 +0100

xterm (302-1) unstable; urgency=low

  * New upstream release.
  * Update copy of XTerm FAQ to revision 1.278 (dated 2014/02/24)
    (Closes: #737692).
  * Check GPG signature of upstream tarballs in the watch file.

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 04 Mar 2014 19:55:16 +0100

xterm (301-1) unstable; urgency=low

  * New upstream release.
    - Improve manpage description of scrollbar translations versus
      the vt100 translations (Closes: #723573).
  * Build-depend on autotools-dev to update config.{guess,sub}.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 22 Jan 2014 18:22:12 +0100

xterm (300-1) unstable; urgency=low

  * New upstream release.
    - Avoid infinite recursion and stack overflow in libxcursor
      (Closes: #731269).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 04 Dec 2013 18:05:01 +0100

xterm (299-1) unstable; urgency=low

  * New upstream release.
  * Add libxcursor-dev to Build-Depends (Closes: #466704).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 02 Dec 2013 18:58:17 +0100

xterm (298-1) unstable; urgency=low

  * New upstream release.
    - Change default for assumeAllChars resource (Closes: #725682).
    - Amend change from xterm 297 for ASCII-equivalents to ensure that
      missing characters which happen to be double-width are padded to
      the expected number of columns. Also, correct the choice between
      normal/wide Xft fonts used when checking for missing characters
      (Closes: #728949).
    - work around Xcursor library to make pointerColor resource work as
      documented (Closes: #466704).
  * Update copy of XTerm FAQ to revision 1.259 (dated 2013/11/25).
  * Add a debian/rules target to download that FAQ from
    http://invisible-island.net.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 01 Dec 2013 09:18:00 +0100


