=== debian/changelog ===
xterm (327-2mx150+1) mx; urgency=medium

  * Rebuild for MX 15/16.

 -- Mike Elstad (v3g4n) <v3g4n@mxlinux.org>  Tue, 10 Jan 2017 20:16:55 -0600

xterm (327-2) unstable; urgency=medium

  * Bump debhelper compatibility level to 10.
    - Add autoconf-dickey to Build-Depends and an override for
      dh_autoreconf to debian/rules.
  * Switch to format 3.0 (quilt).
    - Drop quilt from Build-Depends and delete debian/README.source.
  * Update copy of XTerm FAQ to revision 1.332 (dated 2016/10/23).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 17 Dec 2016 14:02:49 +0100

xterm (327-1) unstable; urgency=medium

  * New upstream release.
    - Add a check in the function which handles end-of-line wrapping
      to ensure that C1 controls are allocated one column when
      allowC1Printable is set (Closes: #738794).
    - Modify allowC1Printable to disallow codes 160-254 as being equivalent
      to codes 32-126 when parsing escape sequences (Closes: #839220).

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 09 Oct 2016 11:25:56 +0200

xterm (326-1) unstable; urgency=medium

  * New upstream release.
    - Add examples of setting the icon title with/without the window
      title in the manual (Closes: #833984).
    - Amend fix for #738794 to restore a check for missing characters
      which are not combining characters.  Also fill in a corresponding
      special case for TrueType fonts (Closes: #827905, #738794).
  * Refresh Debian patches.
  * Update copy of XTerm FAQ to revision 1.329 (dated 2016/09/16).

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 27 Sep 2016 20:46:07 +0200

xterm (325-1) unstable; urgency=medium

  * New upstream release.
    - Further improve fix for #545220 in xterm 248, to avoid conflict
      with combining characters (Closes: #738794).
  * Refresh Debian patches.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 08 Jun 2016 17:39:36 +0200

xterm (324-2) unstable; urgency=medium

  * Enable all hardening options.
  * Remove the menu file (see #741573).
  * Add libxinerama-dev to Build-Depends.
  * Update copy of XTerm FAQ to revision 1.317 (dated 2016/03/21).
  * Bump Standards-Version to 3.9.8.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 08 May 2016 08:32:18 +0200

xterm (324-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 12 Mar 2016 08:35:48 +0100

xterm (323-1) unstable; urgency=medium

  * New upstream release.
  * Use https for Vcs-* fields.
  * Prefer lynx over lynx-cur in Build-Depends.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 10 Mar 2016 18:02:21 +0100

xterm (322-1) unstable; urgency=medium

  * New upstream release.
    - Fix regression due to incorrect fix for compiler warning when
      allocating storage for /etc/shells (Closes: #809646).
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 02 Jan 2016 16:17:27 +0100

xterm (321-1) unstable; urgency=medium

  * New upstream release.
  * Run lynx with the -display_charset=utf-8 option when dumping the text
    version of the XTerm FAQ, making the build reproducible.
  * Update copy of XTerm FAQ to revision 1.307 (dated 2015/12/28).

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 01 Jan 2016 17:27:01 +0100

xterm (320-1) unstable; urgency=medium

  * New upstream release.
    - Amend fix for bug #794201 (report forwarded from Christian Jachmann
      by Emanuel Haupt, Closes: #797008).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 29 Aug 2015 13:47:23 +0200

xterm (319-1) unstable; urgency=low

  * New upstream release.
    - Correct combination of -ls and -e options for utempter configuration
      (Closes: #794201).
  * Update copy of XTerm FAQ to revision 1.305 (dated 2015/05/01).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 22 Aug 2015 09:10:05 +0200

xterm (318-2) unstable; urgency=low

  * Upload to unstable.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 26 Apr 2015 15:32:00 +0200

xterm (318-1) experimental; urgency=low

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 15 Apr 2015 17:33:16 +0200

xterm (317-1) experimental; urgency=low

  * New upstream release.
    - Adapt example for exec-formatted from Lukáš Zapletal's webpage
      to manual (Closes: #780008).
    - Add a short usage section to the xterm manual, including notes
      on setting the window title (Closes: #742477).

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 31 Mar 2015 17:50:42 +0200

xterm (316-1) experimental; urgency=low

  * New upstream release.
    - Add configure option --enable-initial-erase to set ptyInitialErase
      consistently with manpage, as well as adding a table in manpage to
      clarify the relationship between the resources related to the
      backarrow key (Closes: #775952).
  * Refresh Debian patches.
  * Update years in debian/copyright.
  * Update copy of XTerm FAQ to revision 1.293 (dated 2015/02/16).

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 08 Mar 2015 19:17:29 +0100

xterm (314-1) experimental; urgency=low

  * New upstream release.
  * Update copy of XTerm FAQ to revision 1.289 (dated 2014/12/19).

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 30 Dec 2014 18:25:43 +0100

xterm (313-1) experimental; urgency=low

  * New upstream release.
  * Refresh Debian patches.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 04 Dec 2014 18:51:09 +0100
