=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: xterm
 Section: x11
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-xorg/app/xterm.git
-Vcs-Git: git://anonscm.debian.org/pkg-xorg/app/xterm
+Bugs: mailto: <v3g4n@mxlinux.org>
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/app/xterm.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/app/xterm.git
 Homepage: http://invisible-island.net/xterm/xterm.html
 Build-Depends:
  libncurses5-dev | libncurses-dev,
@@ -14,10 +16,11 @@
  libxkbfile-dev,
  libutempter-dev,
  libxcursor-dev,
- debhelper (>= 9),
- quilt,
+ libxinerama-dev,
+ debhelper (>= 10),
  autotools-dev,
- lynx-cur | lynx,
+ autoconf-dickey,
+ lynx | lynx-cur,
  xorg-docs-core,
  desktop-file-utils,
 
@@ -100,12 +103,14 @@
 #       main.c:#include <utempter.h>
 #   libxcursor-dev
 #       misc.c:#ifdev HAVE_LIB_XCURSOR
+#   libxinerama-dev
+#       util.c:#ifdef HAVE_X11_EXTENSIONS_XINERAMA_H
 #   xorg-docs-core                  provides X(7) which minstall.sh tries to
 #                                   detect
-#   debhelper (>= 9)                debian/compat = 9
-#   quilt                           patch management system
+#   debhelper (>= 10)               debian/compat = 10
 #   autotools-dev                   update config.guess, config.sub
-#   lynx-cur | lynx                 generates plain-text version of xterm faq
+#   autoconf-dickey                 regenerate configure
+#   lynx | lynx-cur                 generates plain-text version of xterm faq
 #   desktop-file-utils              for installing xterm.desktop
 
 Package: xterm
