=== debian/changelog ===
xterm (330-1ubuntu2) bionic; urgency=medium

  * debian/control: stop depending on the transitional lynx-cur package.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 14 Dec 2017 19:37:39 +0100

xterm (330-1ubuntu1) bionic; urgency=medium

  * Sync with Debian; remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "Ubuntu"

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Oct 2017 15:40:25 -0400

xterm (330-1) unstable; urgency=medium

  * New upstream release.
    - Add special case for displaying soft-hyphen if it happens to fall
      at the right margin, and omitting similar case such as the BIDI
      markers, where a zero-width character is neither a control character
      nor a combining character (Closes: #844325).
    - Fix a special case in HideCursor which assigned a bold font to the
      slot used for normal font in changes for italics in xterm 307
      (Closes: #858304).
  * Refresh Debian patches.
  * Bump autoconf-dickey build dependency to (>= 2.52+20170501), as per
    configure.in.
  * Configure "--with-desktop-category=System,TerminalEmulator,"
    (Closes: #780176).
  * Update years in debian/copyright.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Update copy of XTerm FAQ to revision 1.338 (dated 2017/04/08).

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 23 Jun 2017 18:27:27 +0200
