=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: xterm
 Section: x11
 Priority: optional
-Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
-Bugs: mailto: <v3g4n@mxlinux.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/app/xterm.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/app/xterm.git
 Homepage: http://invisible-island.net/xterm/xterm.html
@@ -19,8 +18,8 @@
  libxinerama-dev,
  debhelper (>= 10),
  autotools-dev,
- autoconf-dickey,
- lynx | lynx-cur,
+ autoconf-dickey (>= 2.52+20170501),
+ lynx,
  xorg-docs-core,
  desktop-file-utils,
 
@@ -110,7 +109,7 @@
 #   debhelper (>= 10)               debian/compat = 10
 #   autotools-dev                   update config.guess, config.sub
 #   autoconf-dickey                 regenerate configure
-#   lynx | lynx-cur                 generates plain-text version of xterm faq
+#   lynx                            generates plain-text version of xterm faq
 #   desktop-file-utils              for installing xterm.desktop
 
 Package: xterm
