=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,15 @@
 # Licensed under the GNU General Public License, version 2.  See the file
 # /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
 CFLAGS += -Wall
 
 LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 
-HTML2TEXT:=lynx -dump -nolist
+HTML2TEXT:=lynx -dump -nolist -display_charset=utf-8
 
 DEBTREEDIR:=$(CURDIR)/debian/tmp
 
@@ -24,6 +26,9 @@
 	-DDEF_ALLOW_FONT=False \
 	-DDEF_ALLOW_TCAP=False \
 	-DDEF_DISALLOWED_WINDOW=\\\"1,2,3,4,5,6,7,8,9,11,13,14,18,19,20,21,GetSelection,SetSelection,SetWinLines,SetXprop\\\"
+
+override_dh_autoreconf:
+	dh_autoreconf autoreconf-dickey -- -f -i
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -43,6 +48,7 @@
 		--enable-backarrow-is-erase \
 		--enable-sixel-graphics \
 		--with-utempter \
+		--with-desktop-category=System,TerminalEmulator, \
 		DESKTOP_FLAGS="$(DESKTOP_FLAGS)" \
 		CFLAGS="$(CFLAGS)" \
 		CPPFLAGS="$(CPPFLAGS)" \
@@ -67,7 +73,7 @@
 	dh_install --fail-missing
 
 %:
-	dh $@ --with quilt,autotools_dev --builddirectory=build/ --parallel
+	dh $@ --with autotools_dev --builddirectory=build/ --parallel
 
 debian/local/xterm.faq.html:
 	wget -O $@ http://invisible-island.net/xterm/xterm.faq.html
