=== debian/watch ===
version=3
opts=pasv,pgpsigurlmangle=s/$/.asc/ ftp://invisible-island.net/xterm/ xterm-(.*).tgz
