## xterm 335

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -5,9 +5,9 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	330
+PORTVERSION=	335
 CATEGORIES=	x11
-MASTER_SITES=	ftp://invisible-island.net/xterm/ \
+MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/ \
 		CRITICAL
 PKGNAMESUFFIX=	-dev
 EXTRACT_SUFX=	.tgz
@@ -29,7 +29,7 @@
 
 ICONVERSION=	1
 
-OPTIONS_DEFINE=	WCHAR LUIT DECTERM PCRE DABBREV 256COLOR SIXEL GNOME LOGGING TOOLBAR
+OPTIONS_DEFINE=	WCHAR LUIT DECTERM PCRE PCRE2 DABBREV 256COLOR SIXEL GNOME LOGGING TOOLBAR
 OPTIONS_RADIO=	3D
 OPTIONS_RADIO_3D=	XAW3D XAW3DXFT NEXTAW
 
@@ -54,6 +54,8 @@
 DECTERM_CONFIGURE_ENABLE=	dec-locator
 PCRE_CONFIGURE_WITH=		pcre
 PCRE_LIB_DEPENDS=		libpcre.so:${PORTSDIR}/devel/pcre
+PCRE2_CONFIGURE_WITH=		pcre2
+PCRE2_LIB_DEPENDS=		libpcre2-8.so:${PORTSDIR}/devel/pcre2
 DABBREV_CONFIGURE_ENABLE=	dabbrev
 SIXEL_CONFIGURE_ENABLE=		sixel-graphics
 GNOME_USES=			desktop-file-utils
