=== debian/changelog ===
xterm (335-1) unstable; urgency=medium

  * New upstream release.
    - Drop custom-entity from HTML-dump, use UTF-8 for &nbsp;
      (Closes: #902381).
  * Bump Standards-Version to 4.2.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 20 Aug 2018 19:21:42 +0200

xterm (333-1) unstable; urgency=medium

  * New upstream release.
  * Prefer libncurses-dev over libncurses5-dev in Build-Depends.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 07 May 2018 19:41:50 +0200

xterm (332-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* fields to point at salsa.debian.org.
  * Bump Standards-Version to 4.1.4, no changes needed.
  * Regenerate ctlseqs.txt from ctlseqs.ms (Closes: #848818).
    - Add groff to Buils-Depends.
  * Fetch the copy of the XTerm FAQ over https rather than http.
  * Update copy of XTerm FAQ to revision 1.366 (dated 2018/04/15).
  * Update debian/watch to version 4, and look for tarballs on
    https://invisible-mirror.net.
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 23 Apr 2018 18:47:06 +0200

xterm (331-1) unstable; urgency=medium

  * New upstream release.
    - Add workaround for improper grayscale adjustments made in FreeType
      library, exposed by changes to rounding in 2.8.1, which shows up as
      a gap in line-drawing characters (Closes: #880407).
    - Replace constant 10msec delay for next X event with new resource
      nextEventDelay, and reduce that to 1msec to accommodate faster machines
      than used when -hold was implemented in 1999 (Closes: #877628).
    - Add scroll-to action, which simplifies binding a key to scroll to
      the beginning or end of the saved-lines (Closes: #880120).
    - Improve workaround for #542434 by using the font's maximum width
      when no ISO-8859-1 glyphs are provided (Closes: #879936).
    - Additional manpage macro cleanup (Branden Robinson, Closes: #880551).
    - Fix typography in xterm.man (patch by Bjarni Ingi Gislason,
      Closes: #869248).
  * Refresh Debian patches.
  * Use https in the Homepage field.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 04 Jan 2018 18:06:06 +0100

xterm (330-2) unstable; urgency=medium

  * Add two simple autopkg smoke tests.
  * Drop autotools-dev from Build-Depends, it is redundant now.
  * Drop alternate build-dependency on lynx-cur.
  * Stop passing --parallel to dh, already default in compat level 10.
  * Switch from "dh_install --fail-missing" to "dh_missing --fail-missing".
  * Look for tarballs on ftp.invisible-island.net in debian/watch.
  * Set Rules-Requires-Root to no.
  * Bump Standards-Version to 4.1.2, no changes needed.
  * Update copy of XTerm FAQ to revision 1.353 (dated 2017/11/11).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 16 Dec 2017 10:13:24 +0100
