=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: xterm
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/app/xterm.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/app/xterm.git
-Homepage: http://invisible-island.net/xterm/xterm.html
+Standards-Version: 4.2.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/xorg-team/app/xterm
+Vcs-Git: https://salsa.debian.org/xorg-team/app/xterm.git
+Homepage: https://invisible-island.net/xterm/xterm.html
 Build-Depends:
- libncurses5-dev | libncurses-dev,
+ libncurses-dev | libncurses5-dev,
  libxft-dev (>> 2.1.2), libxrender-dev (>> 1:0.9.0),
  libxaw7-dev,
  libxkbfile-dev,
@@ -17,8 +17,8 @@
  libxcursor-dev,
  libxinerama-dev,
  debhelper (>= 10),
- autotools-dev,
  autoconf-dickey (>= 2.52+20170501),
+ groff,
  lynx,
  xorg-docs-core,
  desktop-file-utils,
@@ -36,7 +36,7 @@
 # upstream build depenencies on library headers, and then Debian packaging
 # infrastructure dependencies.
 #
-#   libncurses5-dev | libncurses-dev
+#   libncurses-dev | libncurses5-dev
 #       Tekproc.c:#include <menu.h>
 #   I   aclocal.m4:#include <termcap.h>],[
 #   I   aclocal.m4:#include <curses.h>
@@ -107,8 +107,8 @@
 #   xorg-docs-core                  provides X(7) which minstall.sh tries to
 #                                   detect
 #   debhelper (>= 10)               debian/compat = 10
-#   autotools-dev                   update config.guess, config.sub
 #   autoconf-dickey                 regenerate configure
+#   groff                           regenerate ctlseqs.txt
 #   lynx                            generates plain-text version of xterm faq
 #   desktop-file-utils              for installing xterm.desktop
