=== debian/tests/control ===
Test-Command: adequate xterm >&2
Depends: xterm, adequate

Test-Command: xvfb-run xterm -version
Depends: xterm, xvfb, xauth
