## xterm 337

=== debian/changelog ===
xterm (337-1) unstable; urgency=medium

  * New upstream release.
    - Ensure that only one of PRIMARY and CLIPBOARD is owned by xterm
      at a given time (Closes: #901249).
  * Bump debhelper compatibility level to 11.
    - Bump autoconf-dickey build dependency to (>= 2.52+20180819)
      (see #887390).
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 23 Sep 2018 08:59:12 +0200
