=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/xorg-team/app/xterm
 Vcs-Git: https://salsa.debian.org/xorg-team/app/xterm.git
@@ -16,8 +16,8 @@
  libutempter-dev,
  libxcursor-dev,
  libxinerama-dev,
- debhelper (>= 10),
- autoconf-dickey (>= 2.52+20170501),
+ debhelper (>= 11),
+ autoconf-dickey (>= 2.52+20180819),
  groff,
  lynx,
  xorg-docs-core,
@@ -106,7 +106,7 @@
 #       util.c:#ifdef HAVE_X11_EXTENSIONS_XINERAMA_H
 #   xorg-docs-core                  provides X(7) which minstall.sh tries to
 #                                   detect
-#   debhelper (>= 10)               debian/compat = 10
+#   debhelper (>= 11)               debian/compat = 11
 #   autoconf-dickey                 regenerate configure
 #   groff                           regenerate ctlseqs.txt
 #   lynx                            generates plain-text version of xterm faq
