=== debian/changelog ===
xterm (338-1) unstable; urgency=medium

  * New upstream release.
    - Amend solution for #758633 to ensure that replies for bracketed
      paste are not sent while processing a selection for exec-formatted
     (Closes: #913237).
    - Change compiled-in default for saveLines to match the resource-file
      changed in xterm 192 (Closes: #913815).
    - Revert the change which prevented concurrent ownership of different
      selection targets, and instead modify selection storage so that
      different concurrent requests for different selection targets will
      be stored/retrieved independently (Closes: #901249).
  * Mark the autopkgtests as superficial.
  * Update copy of XTerm FAQ to revision 1.375 (dated 2018/10/16).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 12 Dec 2018 20:31:33 +0100
