=== debian/changelog ===
xterm (340-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 20 Dec 2018 18:19:12 +0100
