=== debian/changelog ===
xterm (341-1) unstable; urgency=medium

  * New upstream release.
    - Modify the initial pattern passed to fontconfig to disallow color
      bitmap fonts (Closes: #916349).
  * Bump Standards-Version to 4.3.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 29 Dec 2018 09:26:42 +0100
