=== debian/changelog ===
xterm (342-1) unstable; urgency=medium

  * New upstream release.
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 06 Jan 2019 13:52:00 +0100
