=== debian/changelog ===
xterm (343-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 16 Jan 2019 18:05:47 +0100
