## xterm 344

=== debian/changelog ===
xterm (344-1.lnd.1) unstable; urgency=medium

  * XTerm Sinicization (zh_CN.UTF-8).

 -- Song Ding <songding@loongson.cn>  Sat, 23 Jan 2021 17:32:11 +0800

xterm (344-1) unstable; urgency=medium

  * New upstream release.
    - A check of zIconBeep resource was removed in double-buffer fix in
      xterm 334.  That is used to decide whether to handle struct-notify
      events.  When xterm does handle the events, it may negotiate a new
      window-size with the window manager.  In that case, the limitResize
      resource setting limited the new window-size to the screen-size.
      Amended that by eliminating the limit for this special case when
      double-buffer is configured, and restoring the check for zIconBeep
      when double-buffer is not configured (Closes: #919475).
  * Refresh Debian patches.
  * Update copy of XTerm FAQ to revision 1.378 (dated 2019/01/27).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 14 Feb 2019 18:04:18 +0100
